Upgrade of 12.1.0.4 OMS to 13.1 Has Been Failed at Plugin Deployment Step With the Error "ORA-22165: given index [5001] must be in the range of [1] to [5000]" (Doc ID 2173791.1)

Last updated on AUGUST 18, 2016

Applies to:

Enterprise Manager Base Platform - Version 12.1.0.4.0 and later
Information in this document applies to any platform.

Symptoms

Upgrade of 12.1.0.4 OMS to 13.1 has been failed at plugin deployment step with the below error:

CfmLogger_2016-05-22_12-44-35-PM:
---------------------------------------
INFO: oracle.sysman.top.oms:EM-04017: Server-side plug-in deployment failed for plug-in oracle.sysman.smf:13.1.1.0.0:0 with the messageError while registering post schema mode meta data for plug-in oracle.sysman.smf:13.1.1.0.0:0: EMMetadataRegistrationFailureException occurred for file /u01/oms/em13c1/Middleware/plugins/oracle.sysman.smf.oms.plugin_13.1.1.0.0/metadata/security/TargetPrivilege/storage_target_priv.xml MRS EMMetadataServiceInfo: Name: Target Privilege Registration Id: TargetPrivilege Parser class: oracle.sysman.core.sec.authz.EMTargetPrivilegeRegistration XSD name: oracle/sysman/emSDK/core/sec/authz/TargetPrivilege.xsd Jar file locations: Plugin XML Location: security/TargetPrivilege SDK Level: partner Description: Parser for target privilege registration Registration mode: POST_REP_SCHEMA Weight: 600 SubSystemId: Security InvokeOnlyForFirstOMS: true ResourceFileSuffixs: [] isThreadSafe: false isPrevVerMetadataIncluded: false Error is oracle.sysman.emSDK.core.extensibility.metadata.EMMetadataRegistrationFailureException: java.sql.SQLException: ORA-22165: given index [5001] must be in the range of [1] to [5000]
INFO: oracle.sysman.top.oms:ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1350
INFO: oracle.sysman.top.oms:ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1009
INFO: oracle.sysman.top.oms:ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1045
INFO: oracle.sysman.top.oms:ORA-06512: at line 1
INFO: oracle.sysman.top.oms:. Plug-in configuration for any dependent plug-ins (if any are chosen) will also be aborted. Contact Oracle Support

 

configplugin_deploy_2016-05-22_17-29-54:
--------------------------------------------
2016-05-22 17:34:30,940 [EMMetadataService:Thread-163] ERROR sysman.PostMRSLogger - SQLException in Regitering TargetPrivileges: ORA-22165: given index [5001] must be in the range of [1] to [5000]
ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1350
ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1009
ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1045
ORA-06512: at line 1

2016-05-22 17:34:30,941 [EMMetadataService:Thread-163] ERROR sysman.PostMRSLogger - EMMetadataRegistrationFailureException occurred for file /u01/oms/em13c1/Middleware/plugins/oracle.sysman.emas.oms.plugin_13.1.1.0.0/metadata/security/TargetPrivilege/fmw_target_privileges.xml MRS EMMetadataServiceInfo: Name: Target Privilege Registration Id: TargetPrivilege Parser class: oracle.sysman.core.sec.authz.EMTargetPrivilegeRegistration XSD name: oracle/sysman/emSDK/core/sec/authz/TargetPrivilege.xsd Jar file locations: Plugin XML Location: security/TargetPrivilege SDK Level: partner Description: Parser for target privilege registration Registration mode: POST_REP_SCHEMA Weight: 600 SubSystemId: Security InvokeOnlyForFirstOMS: true ResourceFileSuffixs: [] isThreadSafe: false isPrevVerMetadataIncluded: false Error is oracle.sysman.emSDK.core.extensibility.metadata.EMMetadataRegistrationFailureException: java.sql.SQLException: ORA-22165: given index [5001] must be in the range of [1] to [5000]
ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1350
ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1009
ORA-06512: at "SYSMAN.EM_USER_MODEL", line 1045
ORA-06512: at line 1

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms